Package twisted :: Package trial :: Module unittest :: Class TestSuite

[show private | hide private]
[frames | no frames]

## Class TestSuite

Method Summary
| `__init__(self)`
| ``addMethod`(self, method)` Add a single method of a test case class to this test suite.
| `addModule(self, module)`
| `addPackage(self, package)`
| `addTestClass(self, testClass)`
| `run(self, output, seed)`

Class Variable Summary
`str` | `methodPrefix`
`str` | `moduleGlob`

Method Details

### addMethod(self, method)

Add a single method of a test case class to this test suite.

Class Variable Details

### methodPrefix

  Type:
    `str`
  Value:

        'test'

### moduleGlob

  Type:
    `str`
  Value:

        'test_*.py'

Generated by Epydoc 1.1 on Thu May 8 13:16:56 2003 | http://epydoc.sf.net